apt 3.1.11 commandline package manager

Public Member Functions | List of all members
debDscRecordParser Class Reference
Inheritance diagram for debDscRecordParser:

## Public Member Functions
| debDscRecordParser (std::string const &DscFile, pkgIndexFile const *Index)
Public Member Functions inherited from debSrcRecordParser
bool | Restart () override
bool | Step () override
bool | Jump (unsigned long const &Off) override
std::string | Package () const override
std::string | Version () const override
std::string | Maintainer () const override
std::string | Section () const override
const char ** | Binaries () override
bool | BuildDepends (std::vector< BuildDepRec > &BuildDeps, bool const &ArchOnly, bool const &StripMultiArch=true) override
unsigned long | Offset () override
std::string | AsStr () override
bool | Files (std::vector< pkgSrcRecords::File > &F) override
| debSrcRecordParser (std::string const &File, pkgIndexFile const *Index)
Public Member Functions inherited from pkgSrcRecords::Parser
const pkgIndexFile & | Index () const
| Parser (const pkgIndexFile *Index)

## Additional Inherited Members
Public Types inherited from pkgSrcRecords::Parser
enum | BuildDep { BuildDepend =0x0 , BuildDependIndep =0x1 , BuildConflict =0x2 , BuildConflictIndep =0x3 , BuildDependArch =0x4 , BuildConflictArch =0x5 }
Static Public Member Functions inherited from pkgSrcRecords::Parser
static const char * | BuildDepType (unsigned char const &Type) APT_PURE
Protected Attributes inherited from debSrcRecordParser
FileFd | Fd
pkgTagFile | Tags
pkgTagSection | Sect
std::vector< const char * > | StaticBinList
unsigned long | iOffset
char * | Buffer
Protected Attributes inherited from pkgSrcRecords::Parser
const pkgIndexFile * | iIndex

The documentation for this class was generated from the following files:

- apt-pkg/deb/debsrcrecords.h
- apt-pkg/deb/debsrcrecords.cc